PipeWire: pw_node_info Struct Reference

PipeWire 0.1.7

Data Fields
pw_node_info Struct Reference

The node information. More...

## Data Fields
uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
const char * | name
| name the node, suitable for display More...
uint32_t | max_input_ports
| maximum number of inputs More...
uint32_t | n_input_ports
| number of inputs More...
struct spa_pod ** | input_params
| array of input params More...
uint32_t | n_input_params
| number of input params More...
uint32_t | max_output_ports
| maximum number of outputs More...
uint32_t | n_output_ports
| number of outputs More...
struct spa_pod ** | output_params
| array of output params More...
uint32_t | n_output_params
| number of output params More...
enum pw_node_state | state
| the current state of the node More...
const char * | error
| an error reason if state is error More...
struct spa_dict * | props
| the properties of the node More...

## Detailed Description

The node information.

Extra information can be added in later versions

## Field Documentation

## ◆ change_mask

uint64_t pw_node_info::change_mask

bitfield of changed fields since last call

Referenced by pw_node_info_update().

## ◆ error

const char* pw_node_info::error

an error reason if state is error

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ id

uint32_t pw_node_info::id

id of the global

Referenced by pw_node_info_update().

## ◆ input_params

struct spa_pod** pw_node_info::input_params

array of input params

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ max_input_ports

uint32_t pw_node_info::max_input_ports

maximum number of inputs

Referenced by pw_node_info_update().

## ◆ max_output_ports

uint32_t pw_node_info::max_output_ports

maximum number of outputs

Referenced by pw_node_info_update().

## ◆ n_input_params

uint32_t pw_node_info::n_input_params

number of input params

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ n_input_ports

uint32_t pw_node_info::n_input_ports

number of inputs

Referenced by pw_node_info_update().

## ◆ n_output_params

uint32_t pw_node_info::n_output_params

number of output params

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ n_output_ports

uint32_t pw_node_info::n_output_ports

number of outputs

Referenced by pw_node_info_update().

## ◆ name

const char* pw_node_info::name

name the node, suitable for display

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ output_params

struct spa_pod** pw_node_info::output_params

array of output params

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ props

struct spa_dict* pw_node_info::props

the properties of the node

Referenced by pw_node_info_free(), and pw_node_info_update().

## ◆ state

enum pw_node_state pw_node_info::state

the current state of the node

Referenced by pw_node_info_update().

The documentation for this struct was generated from the following file:

- introspect.h